IF OBJECT_ID('dbo.fco_administradoras') IS NOT NULL
    DROP TABLE dbo.fco_administradoras
GO
CREATE TABLE dbo.fco_administradoras
(	
    codigo char(10) NOT NULL,
    registro_fiscal varchar(10) NULL,
    digito_verificacion	char(1)	NULL,
    direccion	varchar(40) NULL,
    telefono	varchar(20) NULL,
    cod_super	varchar(15) NULL,
    cod_alterno	varchar(20) NULL,
    tipo	char(3) NOT NULL,
    agrupacion	char(10) NOT NULL,
    forma_presentacion char(1) NOT NULL,
    departamento char(2)  NULL,
    municipio char(3)  NULL,
    CONSTRAINT PK_fco_administradoras PRIMARY KEY (codigo, tipo),
    CONSTRAINT ck_fco_admin_tipo CHECK (tipo IN ('EPS','AFP','FPV', 'CCF')),
    CONSTRAINT ck_fco_admin_forma CHECK (forma_presentacion IN ('U','C','S')),
	CONSTRAINT fk_fco_administradoras_01 FOREIGN KEY (agrupacion,codigo) REFERENCES datos_agr_trab (agrupacion,dato)
)
GO
GRANT ALL ON fco_administradoras TO PUBLIC
GO

